import { useCurrentUserQuery } from "@/hooks/useUserQueries";
import { User } from "@/types/proto/api/v1/user_service_pb";

const useCurrentUser = () => {
  const { data: currentUser } = useCurrentUserQuery();
  return currentUser as User | undefined;
};

export default useCurrentUser;
